## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-pytest-aiohttp is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-mgmt-containerinstance

Name:           python-%{srcname}
Version:        9.1.0
Release:        %autorelease
Summary:        Microsoft Azure Container Instance Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure Container Instance Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:9.1.0-3
- Disable tests in EPEL 9

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:9.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:9.1.0-1
- Update to 9.1.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:9.0.0-1
- Update to 9.0.0; add tests

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:8.0.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:8.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:8.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1:8.0.0-1
- Update to 8.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:1.5.0-3
- Fix changelog

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:1.5.0-2
- Add epoch number for 1.5.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:1.5.0-1
- Downgrade to 1.5.0

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 8.0.0-1
- Update to 8.0.0

* Tue Jul 06 2021 Major Hayden <major@mhtx.net> 7.0.0-1
- Initial import (#1971791)
